//////////////////////////////////////////////////////////////////////////////////////////
// Project description
// ¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯
// Name: Beamer Latency Measurement Tool (BLMT)
// Purpose: Measure the latency of the beamer compared to a regular monitor
//
// Author: Laurence Muller (aka Falcon4ever)
// Contact: info@falcon4ever.com
// Site: www.multigesture.net
// Licensetype: GNU General Public License (GPL)
//
// Read main.cpp for project details
//////////////////////////////////////////////////////////////////////////////////////////

#ifdef WIN32
	#define _CRT_SECURE_NO_DEPRECATE
	#include <windows.h>
#endif
#include <string>
#include <time.h>
#include <stdlib.h>

// Glut/OpenGL
#if defined(WIN32)
	#include <glut.h>
#elif defined(__APPLE__)
	#include <GLUT/glut.h>
#else
	#include <GL/glut.h>
#endif

void print_usage(char **);
void opengl_init();
void keyboard_input(unsigned char key, int x, int y);
void render_scene();
void render_grid();
void debug_info();
void renderBitmapCharacter(int x, int y, void *font, char *string);
void render_bar();
